pub mod types;

use tool_helper::{Error, Input};
use std::io::BufRead;
use types::Section;

pub fn scan(input: Input) -> Result<Vec<Section>, Error> {
    let lines = input.lines().map(|l| l.unwrap());

    for line in lines {
        if line.starts_with('.') {
            println!("Found section \"{}\"", line);
        }
    }

    Err(Error::not_implemented("readmap::scan"))
}
